Loading...
Searching...
No Matches
gsm_44_068.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/utils.h>`

Go to the source code of this file.

## Macros

#define | OSMO_GSM44068_OI_MS_IS_ORIGINATOR 0x01
#define | OSMO_GSM44068_DA_DOWNLINK_ATTACHED 0x08
#define | OSMO_GSM44068_UA_UPLINK_ATTACHED 0x04
#define | OSMO_GSM44068_COMM_T 0x02
#define | OSMO_GSM44068_DC_DATA_CONFIDENTALLY_RQD 0x02
#define | OSMO_GSM44068_GP_GUARANTEED_PRIVACY_RQD 0x01

## Enumerations

enum | osmo_gsm44068_iei { OSMO_GSM44068_IEI_MOBILE_IDENTITY = 0x17 , OSMO_GSM44068_IEI_USER_USER = 0x7E , OSMO_GSM44068_IEI_CALL_STATE = 0xA0 , OSMO_GSM44068_IEI_STATE_ATTRIBUTES = 0xB0 , OSMO_GSM44068_IEI_TALKER_PRIORITY = 0xC0 , OSMO_GSM44068_IEI_SMS_INDICATIONS = 0xD0 }

enum

osmo_gsm44068_msg_type {
OSMO_GSM44068_MSGT_IMMEDIATE_SETUP = 0x31 ,
OSMO_GSM44068_MSGT_SETUP = 0x32 ,
OSMO_GSM44068_MSGT_CONNECT = 0x33 ,
OSMO_GSM44068_MSGT_TERMINATION = 0x34 ,
OSMO_GSM44068_MSGT_TERMINATION_REQUEST = 0x35 ,
OSMO_GSM44068_MSGT_TERMINATION_REJECT = 0x36 ,
OSMO_GSM44068_MSGT_STATUS = 0x38 ,
OSMO_GSM44068_MSGT_GET_STATUS = 0x39 ,
OSMO_GSM44068_MSGT_SET_PARAMETER = 0x3a ,
OSMO_GSM44068_MSGT_IMMEDIATE_SETUP_2 = 0x3b
}

enum | osmo_gsm44068_priority_level { OSMO_GSM44068_PRIO_LEVEL_4 = 0x1 , OSMO_GSM44068_PRIO_LEVEL_3 = 0x2 , OSMO_GSM44068_PRIO_LEVEL_2 = 0x3 , OSMO_GSM44068_PRIO_LEVEL_1 = 0x4 , OSMO_GSM44068_PRIO_LEVEL_0 = 0x5 , OSMO_GSM44068_PRIO_LEVEL_B = 0x6 , OSMO_GSM44068_PRIO_LEVEL_A = 0x7 }

enum

osmo_gsm44068_call_state {
OSMO_GSM44068_CSTATE_U0 = 0x0 ,
OSMO_GSM44068_CSTATE_U1 = 0x1 ,
OSMO_GSM44068_CSTATE_U2sl_U2 = 0x2 ,
OSMO_GSM44068_CSTATE_U3 = 0x3 ,
OSMO_GSM44068_CSTATE_U4 = 0x4 ,
OSMO_GSM44068_CSTATE_U5 = 0x5 ,
OSMO_GSM44068_CSTATE_U0p = 0x6 ,
OSMO_GSM44068_CSTATE_U2wr_U6 = 0x7 ,
OSMO_GSM44068_CSTATE_U2r = 0x8 ,
OSMO_GSM44068_CSTATE_U2ws = 0x9 ,
OSMO_GSM44068_CSTATE_U2sr = 0xa ,
OSMO_GSM44068_CSTATE_U2nc = 0xb
}

enum

osmo_gsm44068_cause {
OSMO_GSM44068_CAUSE_ILLEGAL_MS = 0x03 ,
OSMO_GSM44068_CAUSE_IMEI_NOT_ACCEPTED = 0x05 ,
OSMO_GSM44068_CAUSE_ILLEGAL_ME = 0x06 ,
OSMO_GSM44068_CAUSE_SERVICE_NOT_AUTHORIZED = 0x08 ,
OSMO_GSM44068_CAUSE_APP_NOT_SUPPORTED_ON_PROTO = 0x09 ,
OSMO_GSM44068_CAUSE_RR_CONNECTION_ABORTED = 0x0a ,
OSMO_GSM44068_CAUSE_NORMAL_CALL_CLEARING = 0x10 ,
OSMO_GSM44068_CAUSE_NETWORK_FAILURE = 0x11 ,
OSMO_GSM44068_CAUSE_BUSY = 0x14 ,
OSMO_GSM44068_CAUSE_CONGESTION = 0x16 ,
OSMO_GSM44068_CAUSE_USER_NOT_ORIGINATOR = 0x17 ,
OSMO_GSM44068_CAUSE_NET_WANTS_TO_MAINTAIN_CALL = 0x18 ,
OSMO_GSM44068_CAUSE_RESPONSE_TO_GET_STATUS = 0x1e ,
OSMO_GSM44068_CAUSE_SERVICE_OPTION_NOT_SUBSCR = 0x20 ,
OSMO_GSM44068_CAUSE_REQUESTED_SERVICE_NOT_SUB = 0x21 ,
OSMO_GSM44068_CAUSE_SERVICE_OPTION_OOO = 0x22 ,
OSMO_GSM44068_CAUSE_CALL_CANNOT_BE_IDENTIFIED = 0x26 ,
OSMO_GSM44068_CAUSE_RETRY_UPON_ENTRY_NEW_CALL = 0x30 ,
OSMO_GSM44068_CAUSE_INVALID_TRANSACTION_ID = 0x51 ,
OSMO_GSM44068_CAUSE_SEMANTICALLY_INCORRECT_MSG = 0x5f ,
OSMO_GSM44068_CAUSE_INVALID_MANDATORY_INFO = 0x60 ,
OSMO_GSM44068_CAUSE_MESSAGE_TYPE_NON_EXISTENT = 0x61 ,
OSMO_GSM44068_CAUSE_MESSAGE_TYPE_NOT_COMPAT = 0x62 ,
OSMO_GSM44068_CAUSE_IE_NON_EXISTENT = 0x63 ,
OSMO_GSM44068_CAUSE_IE_NOT_COMPAT = 0x64 ,
OSMO_GSM44068_CAUSE_PROTOCOL_ERROR = 0x70
}

enum | osmo_gsm44068_talker_priority { OSMO_GSM44068_PRIO_NORMAL = 0x0 , OSMO_GSM44068_PRIO_PRIVILEGED = 0x1 , OSMO_GSM44068_PRIO_EMERGENCY = 0x2 }

## Variables

const struct value_string | osmo_gsm44068_msg_type_names []
const struct value_string | osmo_gsm44068_priority_level_names []
const struct value_string | osmo_gsm44068_cause_names []
const struct value_string | osmo_gsm44068_call_state_names []
const struct value_string | osmo_gsm44068_talker_priority_names []
const struct tlv_definition | osmo_gsm44068_att_tlvdef

## Macro Definition Documentation

## OSMO_GSM44068_COMM_T

#define OSMO_GSM44068_COMM_T 0x02

## OSMO_GSM44068_DA_DOWNLINK_ATTACHED

#define OSMO_GSM44068_DA_DOWNLINK_ATTACHED 0x08

## OSMO_GSM44068_DC_DATA_CONFIDENTALLY_RQD

#define OSMO_GSM44068_DC_DATA_CONFIDENTALLY_RQD 0x02

## OSMO_GSM44068_GP_GUARANTEED_PRIVACY_RQD

#define OSMO_GSM44068_GP_GUARANTEED_PRIVACY_RQD 0x01

## OSMO_GSM44068_OI_MS_IS_ORIGINATOR

#define OSMO_GSM44068_OI_MS_IS_ORIGINATOR 0x01

## OSMO_GSM44068_UA_UPLINK_ATTACHED

#define OSMO_GSM44068_UA_UPLINK_ATTACHED 0x04

## Enumeration Type Documentation

## osmo_gsm44068_call_state

enum osmo_gsm44068_call_state

Enumerator
OSMO_GSM44068_CSTATE_U0 |
OSMO_GSM44068_CSTATE_U1 |
OSMO_GSM44068_CSTATE_U2sl_U2 |
OSMO_GSM44068_CSTATE_U3 |
OSMO_GSM44068_CSTATE_U4 |
OSMO_GSM44068_CSTATE_U5 |
OSMO_GSM44068_CSTATE_U0p |
OSMO_GSM44068_CSTATE_U2wr_U6 |
OSMO_GSM44068_CSTATE_U2r |
OSMO_GSM44068_CSTATE_U2ws |
OSMO_GSM44068_CSTATE_U2sr |
OSMO_GSM44068_CSTATE_U2nc |

## osmo_gsm44068_cause

enum osmo_gsm44068_cause

Enumerator
OSMO_GSM44068_CAUSE_ILLEGAL_MS |
OSMO_GSM44068_CAUSE_IMEI_NOT_ACCEPTED |
OSMO_GSM44068_CAUSE_ILLEGAL_ME |
OSMO_GSM44068_CAUSE_SERVICE_NOT_AUTHORIZED |
OSMO_GSM44068_CAUSE_APP_NOT_SUPPORTED_ON_PROTO |
OSMO_GSM44068_CAUSE_RR_CONNECTION_ABORTED |
OSMO_GSM44068_CAUSE_NORMAL_CALL_CLEARING |
OSMO_GSM44068_CAUSE_NETWORK_FAILURE |
OSMO_GSM44068_CAUSE_BUSY |
OSMO_GSM44068_CAUSE_CONGESTION |
OSMO_GSM44068_CAUSE_USER_NOT_ORIGINATOR |
OSMO_GSM44068_CAUSE_NET_WANTS_TO_MAINTAIN_CALL |
OSMO_GSM44068_CAUSE_RESPONSE_TO_GET_STATUS |
OSMO_GSM44068_CAUSE_SERVICE_OPTION_NOT_SUBSCR |
OSMO_GSM44068_CAUSE_REQUESTED_SERVICE_NOT_SUB |
OSMO_GSM44068_CAUSE_SERVICE_OPTION_OOO |
OSMO_GSM44068_CAUSE_CALL_CANNOT_BE_IDENTIFIED |
OSMO_GSM44068_CAUSE_RETRY_UPON_ENTRY_NEW_CALL |
OSMO_GSM44068_CAUSE_INVALID_TRANSACTION_ID |
OSMO_GSM44068_CAUSE_SEMANTICALLY_INCORRECT_MSG |
OSMO_GSM44068_CAUSE_INVALID_MANDATORY_INFO |
OSMO_GSM44068_CAUSE_MESSAGE_TYPE_NON_EXISTENT |
OSMO_GSM44068_CAUSE_MESSAGE_TYPE_NOT_COMPAT |
OSMO_GSM44068_CAUSE_IE_NON_EXISTENT |
OSMO_GSM44068_CAUSE_IE_NOT_COMPAT |
OSMO_GSM44068_CAUSE_PROTOCOL_ERROR |

## osmo_gsm44068_iei

enum osmo_gsm44068_iei

Enumerator
OSMO_GSM44068_IEI_MOBILE_IDENTITY |
OSMO_GSM44068_IEI_USER_USER |
OSMO_GSM44068_IEI_CALL_STATE |
OSMO_GSM44068_IEI_STATE_ATTRIBUTES |
OSMO_GSM44068_IEI_TALKER_PRIORITY |
OSMO_GSM44068_IEI_SMS_INDICATIONS |

## osmo_gsm44068_msg_type

enum osmo_gsm44068_msg_type

Enumerator
OSMO_GSM44068_MSGT_IMMEDIATE_SETUP |
OSMO_GSM44068_MSGT_SETUP |
OSMO_GSM44068_MSGT_CONNECT |
OSMO_GSM44068_MSGT_TERMINATION |
OSMO_GSM44068_MSGT_TERMINATION_REQUEST |
OSMO_GSM44068_MSGT_TERMINATION_REJECT |
OSMO_GSM44068_MSGT_STATUS |
OSMO_GSM44068_MSGT_GET_STATUS |
OSMO_GSM44068_MSGT_SET_PARAMETER |
OSMO_GSM44068_MSGT_IMMEDIATE_SETUP_2 |

## osmo_gsm44068_priority_level

enum osmo_gsm44068_priority_level

Enumerator
OSMO_GSM44068_PRIO_LEVEL_4 |
OSMO_GSM44068_PRIO_LEVEL_3 |
OSMO_GSM44068_PRIO_LEVEL_2 |
OSMO_GSM44068_PRIO_LEVEL_1 |
OSMO_GSM44068_PRIO_LEVEL_0 |
OSMO_GSM44068_PRIO_LEVEL_B |
OSMO_GSM44068_PRIO_LEVEL_A |

## osmo_gsm44068_talker_priority

enum osmo_gsm44068_talker_priority

Enumerator
OSMO_GSM44068_PRIO_NORMAL |
OSMO_GSM44068_PRIO_PRIVILEGED |
OSMO_GSM44068_PRIO_EMERGENCY |

## Variable Documentation

## osmo_gsm44068_att_tlvdef

const struct tlv_definition osmo_gsm44068_att_tlvdef

extern

## osmo_gsm44068_call_state_names

const struct value_string osmo_gsm44068_call_state_names[]

extern

## osmo_gsm44068_cause_names

const struct value_string osmo_gsm44068_cause_names[]

extern

## osmo_gsm44068_msg_type_names

const struct value_string osmo_gsm44068_msg_type_names[]

extern

Referenced by gsm48_pdisc_msgtype_name_buf().

## osmo_gsm44068_priority_level_names

const struct value_string osmo_gsm44068_priority_level_names[]

extern

## osmo_gsm44068_talker_priority_names

const struct value_string osmo_gsm44068_talker_priority_names[]

extern